package cn.com.qmth.examcloud.core.oe.admin.dao;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.IllegallyTypeEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import java.util.List;

public interface IllegallyTypeRepo
		extends
			JpaRepository<IllegallyTypeEntity, Long>,
			QueryByExampleExecutor<IllegallyTypeEntity>,
			JpaSpecificationExecutor<IllegallyTypeEntity> {

	IllegallyTypeEntity findByRootOrgIdAndCode(Long rootOrgId, String code);

	IllegallyTypeEntity findByRootOrgIdAndCodeAndDataCategory(Long rootOrgId, String code,String dataCategory);

	List<IllegallyTypeEntity> findByRootOrgId(Long rootOrgId);

	int countByRootOrgIdAndNameLike(Long rootOrgId, String name);
}
